class DateFormatModel {
  int? id;
  String? dateFormat;

  DateFormatModel({this.id, this.dateFormat});

  DateFormatModel.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) this.id = json["id"];
    if (json["dateFormat"] is String) this.dateFormat = json["dateFormat"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["dateFormat"] = this.dateFormat;
    return data;
  }
}

class TimeFormatModel {
  int? id;
  String? timeFormat;

  TimeFormatModel({this.id, this.timeFormat});

  TimeFormatModel.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) this.id = json["id"];
    if (json["timeFormat"] is String) this.timeFormat = json["timeFormat"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["timeFormat"] = this.timeFormat;
    return data;
  }
}
