class HomeInlistInfo {
  int? id;
  String? uuid;
  int? numberOfRooms;
  int? numberOfBeds;
  int? numberOfBedRooms;
  int? numberOfBathroom;
  String? currency;
  String? title;
  String? slug;
  String? shortDescription;
  String? priceRentFormat;
  String? priceSaleFormat;
  String? priceBouquetViagerFormat;
  String? priceRentViagerFormat;
  String? priceShortRentByHourFormat;
  String? priceShortRentByDayFormat;
  String? priceShortRentByWeekFormat;
  String? priceShortRentByMonthFormat;
  int? minHoursContractForShortRent;
  String? sizeUnit;
  num? area;
  num? buildingNumberOfFloors;
  num? maxGuests;
  num? ratings;
  num? openForBid;
  num? minBidPrice;
  String? minBidPriceFormat;
  num? lat;
  num? lng;
  String? district;
  String? city;
  String? country;
  String? countryCode;
  String? county;
  String? state;
  String? street;
  String? zip;
  int? isFeatured;
  int? isFeaturedUntil;
  int? isHomelidoSelection;
  int? updatedAt;
  HomeInlistUser? user;
  HomeInlistPro? pro;
  HomeInlistMaincat? maincat;
  HomeInlistSubcat? subcat;
  MainPictureUrl? mainPictureUrl;
  HomeInlistPeb? peb;

  HomeInlistInfo(
      {this.id,
      this.uuid,
      this.numberOfRooms,
      this.numberOfBeds,
      this.numberOfBedRooms,
      this.numberOfBathroom,
      this.currency,
      this.title,
      this.slug,
      this.shortDescription,
      this.priceRentFormat,
      this.priceSaleFormat,
      this.priceBouquetViagerFormat,
      this.priceRentViagerFormat,
      this.priceShortRentByHourFormat,
      this.priceShortRentByDayFormat,
      this.priceShortRentByWeekFormat,
      this.priceShortRentByMonthFormat,
      this.minHoursContractForShortRent,
      this.sizeUnit,
      this.area,
      this.buildingNumberOfFloors,
      this.maxGuests,
      this.ratings,
      this.openForBid,
      this.minBidPrice,
      this.minBidPriceFormat,
      this.lat,
      this.lng,
      this.district,
      this.city,
      this.country,
      this.countryCode,
      this.county,
      this.state,
      this.street,
      this.zip,
      this.isFeatured,
      this.isFeaturedUntil,
      this.isHomelidoSelection,
      this.updatedAt,
      this.user,
      this.pro,
      this.maincat,
      this.subcat,
      this.mainPictureUrl,
      this.peb});

  HomeInlistInfo.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    uuid = json["uuid"];
    numberOfRooms = json["numberOfRooms"];
    numberOfBeds = json["numberOfBeds"];
    numberOfBedRooms = json["numberOfBedRooms"];
    numberOfBathroom = json["numberOfBathroom"];
    currency = json["currency"];
    title = json["title"];
    slug = json["slug"];
    shortDescription = json["shortDescription"];
    priceRentFormat = json["priceRentFormat"];
    priceSaleFormat = json["priceSaleFormat"];
    priceBouquetViagerFormat = json["priceBouquetViagerFormat"];
    priceRentViagerFormat = json["priceRentViagerFormat"];
    priceShortRentByHourFormat = json["priceShortRentByHourFormat"];
    priceShortRentByDayFormat = json["priceShortRentByDayFormat"];
    priceShortRentByWeekFormat = json["priceShortRentByWeekFormat"];
    priceShortRentByMonthFormat = json["priceShortRentByMonthFormat"];
    minHoursContractForShortRent = json["minHoursContractForShortRent"];
    sizeUnit = json["sizeUnit"];
    area = json["area"];
    buildingNumberOfFloors = json["buildingNumberOfFloors"];
    maxGuests = json["maxGuests"];
    ratings = json["ratings"];
    openForBid = json["openForBid"];
    minBidPrice = json["minBidPrice"];
    minBidPriceFormat = json["minBidPriceFormat"];
    lat = json["lat"];
    lng = json["lng"];
    district = json["district"];
    city = json["city"];
    country = json["country"];
    countryCode = json["countryCode"];
    county = json["county"];
    state = json["state"];
    street = json["street"];
    zip = json["zip"];
    isFeatured = json["isFeatured"];
    isFeaturedUntil = json["isFeaturedUntil"];
    isHomelidoSelection = json["isHomelidoSelection"];
    updatedAt = json["updatedAt"];
    user = json["user"] == null ? null : HomeInlistUser.fromJson(json["user"]);
    pro = json["pro"] == null ? null : HomeInlistPro.fromJson(json["pro"]);
    maincat = json["maincat"] == null
        ? null
        : HomeInlistMaincat.fromJson(json["maincat"]);
    subcat = json["subcat"] == null
        ? null
        : HomeInlistSubcat.fromJson(json["subcat"]);
    mainPictureUrl = json["mainPictureUrl"] == null
        ? null
        : MainPictureUrl.fromJson(json["mainPictureUrl"]);
    peb = json["peb"] == null ? null : HomeInlistPeb.fromJson(json["peb"]);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["uuid"] = uuid;
    _data["numberOfRooms"] = numberOfRooms;
    _data["numberOfBeds"] = numberOfBeds;
    _data["numberOfBedRooms"] = numberOfBedRooms;
    _data["numberOfBathroom"] = numberOfBathroom;
    _data["currency"] = currency;
    _data["title"] = title;
    _data["slug"] = slug;
    _data["shortDescription"] = shortDescription;
    _data["priceRentFormat"] = priceRentFormat;
    _data["priceSaleFormat"] = priceSaleFormat;
    _data["priceBouquetViagerFormat"] = priceBouquetViagerFormat;
    _data["priceRentViagerFormat"] = priceRentViagerFormat;
    _data["priceShortRentByHourFormat"] = priceShortRentByHourFormat;
    _data["priceShortRentByDayFormat"] = priceShortRentByDayFormat;
    _data["priceShortRentByWeekFormat"] = priceShortRentByWeekFormat;
    _data["priceShortRentByMonthFormat"] = priceShortRentByMonthFormat;
    _data["minHoursContractForShortRent"] = minHoursContractForShortRent;
    _data["sizeUnit"] = sizeUnit;
    _data["area"] = area;
    _data["buildingNumberOfFloors"] = buildingNumberOfFloors;
    _data["maxGuests"] = maxGuests;
    _data["ratings"] = ratings;
    _data["openForBid"] = openForBid;
    _data["minBidPrice"] = minBidPrice;
    _data["minBidPriceFormat"] = minBidPriceFormat;
    _data["lat"] = lat;
    _data["lng"] = lng;
    _data["district"] = district;
    _data["city"] = city;
    _data["country"] = country;
    _data["countryCode"] = countryCode;
    _data["county"] = county;
    _data["state"] = state;
    _data["street"] = street;
    _data["zip"] = zip;
    _data["isFeatured"] = isFeatured;
    _data["isFeaturedUntil"] = isFeaturedUntil;
    _data["isHomelidoSelection"] = isHomelidoSelection;
    _data["updatedAt"] = updatedAt;
    if (user != null) {
      _data["user"] = user?.toJson();
    }
    if (pro != null) {
      _data["pro"] = pro?.toJson();
    }
    if (maincat != null) {
      _data["maincat"] = maincat?.toJson();
    }
    if (subcat != null) {
      _data["subcat"] = subcat?.toJson();
    }
    if (mainPictureUrl != null) {
      _data["mainPictureUrl"] = mainPictureUrl?.toJson();
    }
    if (peb != null) {
      _data["peb"] = peb?.toJson();
    }
    return _data;
  }

  HomeInlistInfo copyWith({
    int? id,
    String? uuid,
    int? numberOfRooms,
    int? numberOfBeds,
    int? numberOfBedRooms,
    int? numberOfBathroom,
    String? currency,
    String? title,
    String? slug,
    String? shortDescription,
    String? priceRentFormat,
    String? priceSaleFormat,
    String? priceBouquetViagerFormat,
    String? priceRentViagerFormat,
    String? priceShortRentByHourFormat,
    String? priceShortRentByDayFormat,
    String? priceShortRentByWeekFormat,
    String? priceShortRentByMonthFormat,
    int? minHoursContractForShortRent,
    String? sizeUnit,
    int? area,
    int? buildingNumberOfFloors,
    int? maxGuests,
    int? ratings,
    int? openForBid,
    int? minBidPrice,
    String? minBidPriceFormat,
    int? lat,
    int? lng,
    String? district,
    String? city,
    String? country,
    String? countryCode,
    String? county,
    String? state,
    String? street,
    String? zip,
    int? isFeatured,
    int? isFeaturedUntil,
    int? isHomelidoSelection,
    int? updatedAt,
    HomeInlistUser? user,
    HomeInlistPro? pro,
    HomeInlistMaincat? maincat,
    HomeInlistSubcat? subcat,
    MainPictureUrl? mainPictureUrl,
    HomeInlistPeb? peb,
  }) =>
      HomeInlistInfo(
        id: id ?? this.id,
        uuid: uuid ?? this.uuid,
        numberOfRooms: numberOfRooms ?? this.numberOfRooms,
        numberOfBeds: numberOfBeds ?? this.numberOfBeds,
        numberOfBedRooms: numberOfBedRooms ?? this.numberOfBedRooms,
        numberOfBathroom: numberOfBathroom ?? this.numberOfBathroom,
        currency: currency ?? this.currency,
        title: title ?? this.title,
        slug: slug ?? this.slug,
        shortDescription: shortDescription ?? this.shortDescription,
        priceRentFormat: priceRentFormat ?? this.priceRentFormat,
        priceSaleFormat: priceSaleFormat ?? this.priceSaleFormat,
        priceBouquetViagerFormat:
            priceBouquetViagerFormat ?? this.priceBouquetViagerFormat,
        priceRentViagerFormat:
            priceRentViagerFormat ?? this.priceRentViagerFormat,
        priceShortRentByHourFormat:
            priceShortRentByHourFormat ?? this.priceShortRentByHourFormat,
        priceShortRentByDayFormat:
            priceShortRentByDayFormat ?? this.priceShortRentByDayFormat,
        priceShortRentByWeekFormat:
            priceShortRentByWeekFormat ?? this.priceShortRentByWeekFormat,
        priceShortRentByMonthFormat:
            priceShortRentByMonthFormat ?? this.priceShortRentByMonthFormat,
        minHoursContractForShortRent:
            minHoursContractForShortRent ?? this.minHoursContractForShortRent,
        sizeUnit: sizeUnit ?? this.sizeUnit,
        area: area ?? this.area,
        buildingNumberOfFloors:
            buildingNumberOfFloors ?? this.buildingNumberOfFloors,
        maxGuests: maxGuests ?? this.maxGuests,
        ratings: ratings ?? this.ratings,
        openForBid: openForBid ?? this.openForBid,
        minBidPrice: minBidPrice ?? this.minBidPrice,
        minBidPriceFormat: minBidPriceFormat ?? this.minBidPriceFormat,
        lat: lat ?? this.lat,
        lng: lng ?? this.lng,
        district: district ?? this.district,
        city: city ?? this.city,
        country: country ?? this.country,
        countryCode: countryCode ?? this.countryCode,
        county: county ?? this.county,
        state: state ?? this.state,
        street: street ?? this.street,
        zip: zip ?? this.zip,
        isFeatured: isFeatured ?? this.isFeatured,
        isFeaturedUntil: isFeaturedUntil ?? this.isFeaturedUntil,
        isHomelidoSelection: isHomelidoSelection ?? this.isHomelidoSelection,
        updatedAt: updatedAt ?? this.updatedAt,
        user: user ?? this.user,
        pro: pro ?? this.pro,
        maincat: maincat ?? this.maincat,
        subcat: subcat ?? this.subcat,
        mainPictureUrl: mainPictureUrl ?? this.mainPictureUrl,
        peb: peb ?? this.peb,
      );
}

class HomeInlistPeb {
  int? id;
  dynamic label;
  dynamic colorCode;
  dynamic pictureUrl;

  HomeInlistPeb({this.id, this.label, this.colorCode, this.pictureUrl});

  HomeInlistPeb.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    label = json["label"];
    colorCode = json["colorCode"];
    pictureUrl = json["pictureUrl"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["label"] = label;
    _data["colorCode"] = colorCode;
    _data["pictureUrl"] = pictureUrl;
    return _data;
  }

  HomeInlistPeb copyWith({
    int? id,
    dynamic label,
    dynamic colorCode,
    dynamic pictureUrl,
  }) =>
      HomeInlistPeb(
        id: id ?? this.id,
        label: label ?? this.label,
        colorCode: colorCode ?? this.colorCode,
        pictureUrl: pictureUrl ?? this.pictureUrl,
      );
}

class MainPictureUrl {
  int? id;
  dynamic url;
  dynamic compressedUrl;
  dynamic label;
  dynamic whisePictureId;

  MainPictureUrl(
      {this.id, this.url, this.compressedUrl, this.label, this.whisePictureId});

  MainPictureUrl.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    url = json["url"];
    compressedUrl = json["compressedUrl"];
    label = json["label"];
    whisePictureId = json["whisePictureId"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["url"] = url;
    _data["compressedUrl"] = compressedUrl;
    _data["label"] = label;
    _data["whisePictureId"] = whisePictureId;
    return _data;
  }

  MainPictureUrl copyWith({
    int? id,
    dynamic url,
    dynamic compressedUrl,
    dynamic label,
    dynamic whisePictureId,
  }) =>
      MainPictureUrl(
        id: id ?? this.id,
        url: url ?? this.url,
        compressedUrl: compressedUrl ?? this.compressedUrl,
        label: label ?? this.label,
        whisePictureId: whisePictureId ?? this.whisePictureId,
      );
}

class HomeInlistSubcat {
  int? id;
  dynamic label;

  HomeInlistSubcat({this.id, this.label});

  HomeInlistSubcat.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    label = json["label"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["label"] = label;
    return _data;
  }

  HomeInlistSubcat copyWith({
    int? id,
    dynamic label,
  }) =>
      HomeInlistSubcat(
        id: id ?? this.id,
        label: label ?? this.label,
      );
}

class HomeInlistMaincat {
  int? id;
  dynamic label;
  dynamic thumbnailUrl;

  HomeInlistMaincat({this.id, this.label, this.thumbnailUrl});

  HomeInlistMaincat.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    label = json["label"];
    thumbnailUrl = json["thumbnailUrl"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["label"] = label;
    _data["thumbnailUrl"] = thumbnailUrl;
    return _data;
  }

  HomeInlistMaincat copyWith({
    int? id,
    dynamic label,
    dynamic thumbnailUrl,
  }) =>
      HomeInlistMaincat(
        id: id ?? this.id,
        label: label ?? this.label,
        thumbnailUrl: thumbnailUrl ?? this.thumbnailUrl,
      );
}

class HomeInlistPro {
  int? id;
  String? displayName;
  String? thumbnail;

  HomeInlistPro({this.id, this.displayName, this.thumbnail});

  HomeInlistPro.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    displayName = json["displayName"];
    thumbnail = json["thumbnail"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["displayName"] = displayName;
    _data["thumbnail"] = thumbnail;
    return _data;
  }

  HomeInlistPro copyWith({
    int? id,
    String? displayName,
    String? thumbnail,
  }) =>
      HomeInlistPro(
        id: id ?? this.id,
        displayName: displayName ?? this.displayName,
        thumbnail: thumbnail ?? this.thumbnail,
      );
}

class HomeInlistUser {
  int? id;
  String? displayName;
  String? thumbnail;

  HomeInlistUser({this.id, this.displayName, this.thumbnail});

  HomeInlistUser.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    displayName = json["displayName"];
    thumbnail = json["thumbnail"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["displayName"] = displayName;
    _data["thumbnail"] = thumbnail;
    return _data;
  }

  HomeInlistUser copyWith({
    int? id,
    String? displayName,
    String? thumbnail,
  }) =>
      HomeInlistUser(
        id: id ?? this.id,
        displayName: displayName ?? this.displayName,
        thumbnail: thumbnail ?? this.thumbnail,
      );
}
