class HomePurposeType {
  int? id;
  String? label;
  String? shortDescription;
  String? pictureUrl;

  HomePurposeType({
    this.id,
    this.label,
    this.shortDescription,
    this.pictureUrl,
  });

  HomePurposeType.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    label = json["label"];
    shortDescription = json["shortDescription"];
    pictureUrl = json["pictureUrl"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["label"] = label;
    _data["shortDescription"] = shortDescription;
    _data["pictureUrl"] = pictureUrl;
    return _data;
  }

  HomePurposeType copyWith({
    int? id,
    String? label,
    String? shortDescription,
  }) =>
      HomePurposeType(
        id: id ?? this.id,
        label: label ?? this.label,
        shortDescription: shortDescription ?? this.shortDescription,
      );
}
