class HomelidoPropertyCategory {
  int? id;
  String? name;
  String? icon;
  String? slug;

  HomelidoPropertyCategory({this.id, this.name, this.icon, this.slug});

  HomelidoPropertyCategory.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) this.id = json["id"];
    if (json["name"] is String) this.name = json["name"];
    if (json["icon"] is String) this.icon = json["icon"];
    if (json["slug"] is String) this.slug = json["slug"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["name"] = this.name;
    data["icon"] = this.icon;
    data["slug"] = this.slug;
    return data;
  }
}
