class OrgProInfo {
  String? organisation;
  String? organisationThumbnail;
  String? displayname;
  String? logo;
  int? platformId;

  OrgProInfo({
    this.organisation,
    this.organisationThumbnail,
    this.displayname,
    this.logo,
    this.platformId,
  });

  OrgProInfo.fromJson(Map<String, dynamic> json) {
    if (json["organisation"] is String)
      this.organisation = json["organisation"];
    if (json["organisationThumbnail"] is String)
      this.organisationThumbnail = json["organisationThumbnail"];
    if (json["displayname"] is String) this.displayname = json["displayname"];
    if (json["logo"] is String) this.logo = json["logo"];
    if (json["platformId"] is int) this.platformId = json["platformId"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["organisation"] = this.organisation;
    data["organisationThumbnail"] = this.organisationThumbnail;
    data["displayname"] = this.displayname;
    data["logo"] = this.logo;
    data["platformId"] = this.platformId;
    return data;
  }
}
