class CalmSubscriber {
  int? id;
  String? displayName;
  String? thumbnail;

  CalmSubscriber({this.id, this.displayName, this.thumbnail});

  CalmSubscriber.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) this.id = json["id"];
    if (json["displayName"] is String) this.displayName = json["displayName"];
    if (json["thumbnail"] is String) this.thumbnail = json["thumbnail"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["displayName"] = this.displayName;
    data["thumbnail"] = this.thumbnail;
    return data;
  }
}
