class TicketAnswer {
  int? id;
  int? createdAt;
  String? uniqueId;
  String? displayName;
  String? answerContent;
  String? thumbnail;

  TicketAnswer(
      {this.id,
      this.createdAt,
      this.answerContent,
      this.uniqueId,
      this.displayName,
      this.thumbnail});

  TicketAnswer.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) this.id = json["id"];
    if (json["createdAt"] is int) this.createdAt = json["createdAt"];
    if (json["displayName"] is String) this.displayName = json["displayName"];
    if (json["thumbnail"] is String) this.thumbnail = json["thumbnail"];
    if (json["uniqueId"] is String) this.uniqueId = json["uniqueId"];
    if (json["answerContent"] is String)
      this.answerContent = json["answerContent"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["createdAt"] = this.createdAt;
    data["displayName"] = this.displayName;
    data["thumbnail"] = this.thumbnail;
    data["uniqueId"] = this.uniqueId;
    data["answerContent"] = this.answerContent;
    return data;
  }
}
